I am trying to do a new installation of the workgroup version of WDM.  I first tried 5.7.1 and I get the error "The wyseinstall.dll could not be loaded into memory.  Please try again or call Wyse technology support for assistance."

I tried re-downloading the installer, but same result.  I googled the error, and saw somewhere that 5.7 has to be installed first.  When I try to install that, or 5.5 or 5.5.1, I get a windows screen that says "This app can't run on your PC.  To find a version for your PC, check with the software publisher."

This is server 2012 R2.  It's not a DC, it's not running DNS or DHCP or anything much. 

I would appreciate any help with this.  This is my first experience with WDM.